# MPI_Win_post

## NAME

MPI_Win_post − Starts an RMA exposure epoch for the local window associated with win

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Win_post(MPI_Group group, int assert, MPI_Win win)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_WIN_POST(GROUP, ASSERT, WIN, IERROR)

|  | INTEGER GROUP, ASSERT, WIN, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Win::Post(const MPI::Group& group, int assert) const

## INPUT PARAMETERS

| group |  | The group of origin processes (handle) |
| assert |  | Program assertion (integer) |
| win |  | Window object (handle) |

## OUTPUT PARAMETERS

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

Starts an RMA exposure epoch for the local window associated with win. Only the processes belonging to group should access the window with RMA calls on win during this epoch. Each process in group must issue a matching call to MPI_Win_start. MPI_Win_post does not block.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Win_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Win_start MPI_Win_wait

MPI API Index